CREATE TABLE SMS_OUT (
	ID INTEGER GENERATED ALWAYS AS IDENTITY,
	TYPE VARCHAR(1) DEFAULT 'O' NOT NULL,
	RECIPIENT VARCHAR(16) NOT NULL,
	TEXT VARCHAR(1000) NOT NULL,
	WAP_URL VARCHAR(100) DEFAULT NULL,
	WAP_EXPIRY_DATE TIMESTAMP DEFAULT NULL,
	WAP_SIGNAL VARCHAR(1) DEFAULT NULL,
	CREATE_DATE TIMESTAMP NOT NULL,
	ORIGINATOR VARCHAR(16) DEFAULT ' ' NOT NULL,
	ENCODING VARCHAR(1) DEFAULT '7' NOT NULL,
	STATUS_REPORT INTEGER DEFAULT 0 NOT NULL,
	FLASH_SMS INTEGER DEFAULT 0 NOT NULL,
	SRC_PORT INTEGER DEFAULT -1 NOT NULL,
	DST_PORT INTEGER DEFAULT -1 NOT NULL,
	SENT_DATE TIMESTAMP DEFAULT NULL,
	REF_NO VARCHAR(64) DEFAULT NULL,
	PRIORITY INTEGER DEFAULT 0 NOT NULL,
	STATUS VARCHAR(1) DEFAULT 'U' NOT NULL,
	ERRORS INTEGER DEFAULT 0 NOT NULL,
	GATEWAY_ID VARCHAR(64) DEFAULT '*' NOT NULL,
	PRIMARY KEY (ID)
);

CREATE TABLE SMS_IN (
	ID INTEGER GENERATED ALWAYS AS IDENTITY,
	PROCESS INTEGER NOT NULL,
	ORIGINATOR VARCHAR(16) NOT NULL,
	TYPE VARCHAR(1) NOT NULL,
	ENCODING CHAR(1) NOT NULL,
	MESSAGE_DATE TIMESTAMP NOT NULL,
	RECEIVE_DATE TIMESTAMP NOT NULL,
	TEXT VARCHAR(1000) NOT NULL,
	ORIGINAL_REF_NO VARCHAR(64) DEFAULT NULL,
	ORIGINAL_RECEIVE_DATE TIMESTAMP DEFAULT NULL,
	GATEWAY_ID VARCHAR(64) DEFAULT NULL,
	PRIMARY KEY (ID)
);

CREATE TABLE SMS_CALLS (
	ID INTEGER GENERATED ALWAYS AS IDENTITY,
	CALL_DATE TIMESTAMP NOT NULL,
	GATEWAY_ID VARCHAR(64) NOT NULL,
	CALLER_ID VARCHAR(16) NOT NULL,
	PRIMARY KEY (ID)
);

